ASXXXX(1)

NAME
ASxxxx - Series of microprocessor cross assemblers for SDCC.

SYNOPSIS
sdas8051 [options] file1 [file2 file3 ... file6]
sdasgb [options] file1 [file2 file3 ... file6]
sdasz80 [options] file1 [file2 file3 ... file6]
sdas6808 [options] file1 [file2 file3 ... file6]
sdas390 [options] file1 [file2 file3 ... file6]
sdasrab [options] file1 [file2 file3 ... file6]
sdasstm8 [options] file1 [file2 file3 ... file6]
sdastlcs90 [options] file1 [file2 file3 ... file6]

WARNING
The information in this man page is an extract from the full documentation of SDCC , and is limited to the meaning of the options.

For complete and current documentation, refer to the ASxxxx Cross Assembler Documentation, available in /usr/share/doc/sdcc-doc/aslink.

DESCRIPTION
The ASxxxx assemblers are a series of microprocessor assemblers. Each assembler has a device specific section.

MCS51 family is supported by sdas8051 .
Z80 family is supported by sdasz80 .
GBZ80 (GameBoy Z80-like CPU) is supported by sdasgb .
Motorola 6808 family is supported by sdas6808 .

OPTIONS
The ASxxxx assemblers are command line oriented. The PC assemblers are started with the appropriate option(s) and file(s) to assemble following the assembler name.

-d  decimal listing.

-q  octal listing.

-x  hex listing (default)

The listing radix affects the .lst, .rel, and .sym files.

-j  add line number and debug information to file.

-g  undefined symbols made global.

-a  all user symbols made global.

-l  create list output file1.lst.

-o  create object output file1.rel.

-s  create symbol output file1.sym.

-c  generate sdcdb debug information

-p  disable listing pagination.

-w  wide listing format for symbol table.

-z  enable case sensitivity for symbols.

-f  flag relocatable references by ` in the listing file.

-ff flag relocatable reference by mode in the listing file.

-I  add the named directory to the include file search path. This option may be used more than once. Directories are searched in the order given.

The file name for the .lst, .rel, and .sym files is the first file name specified in the command line. All output files are ascii text files which may be edited, copied, etc. The output files are the concatenation of all the input files, if files are to be assembled independently invoke the assembler for each file.

The .rel file contains a radix directive so that the linker will use the proper conversion for this file. Linked files may have different radices.

If the list (l) option is specified without the symbol table (s) option, the symbol table is placed at the end of the listing file.

SEE ALSO
sdcc(1), aslink(1), asx8051, as-z80(1), as-gbz80(1).

AUTHOR
This manual page was written by Aurelien Jarno <aurel32@debian.org>, for the Debian GNU/Linux system (but may be used by others).